#`semantic-scholar-client`

This utility is able to fetch data from Semantic Scholar API.

Initial proof of concept here writes the result to stdout.

Work in progress to pipe this data into an operating database.

### Usage

* (Optional) Copy `.env.example` to `.env` and set the value of `SEMANTIC_SCHOLAR_API_KEY`
* Run the program

    cargo run -- --paper-id <paper_id> --depth <depth>

* `paper_id` values are in accordance with [Semantic Scholar API](https://api.semanticscholar.org/api-docs/).
* `depth` is the number of citations to traverse, from the starting paper.

### Notes

Ideas for followup work:
- Consider strategies for deciding where to terminate a given traversal
- Provide an HTTP/WebSocket interface that can be used to talk to this process during its operation.
  This can enable us to pipe the data to other tasks, to monitor, to start/stop, and even to make configuration changes.
- Rate limit requests